| Bsoft 2.0.5 Bernard's software package

Functions | Variables
bcrystal.cpp File Reference

Calculates coordinates for multiple unit cells. More...

`#include "rwmolecule.h"`
`#include "mol_symmetry.h"`
`#include "mol_transform.h"`
`#include "mol_util.h"`
`#include "options.h"`
`#include "utilities.h"`
`#include "timer.h"`

Go to the source code of this file.

## Functions
int | main (int argc, char **argv)

## Variables
int | verbose
const char * | use []

## Detailed Description

Calculates coordinates for multiple unit cells.

Author
  Bernard Heymann

Date
  Created: 20001015
  Modified: 20080225

Definition in file bcrystal.cpp.

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 43 of file bcrystal.cpp.

## Variable Documentation

## ◆ use

const char* use[]

Initial value:
= {
" ",
"Usage: bcrystal [options] in.pdb out.pdb",
"----------------------------------------",
"Calculates coordinates for multiple unit cells.",
" ",
"Actions:",
"-translate 0,-50,22 Translate (angstrom)",
"-cells 2,5,3 Number of unit cells in each lattice direction",
" ",
"Parameters:",
"-verbose 7 Verbose output",
"-rename D Rename molecules from the given letter.",
"-symmetry 1 Space group",
"-unitcell 50,50,50,90,90,90 Unit cell parameters (angstrom & degrees)",
" ",
"Input:",
"-parameters parm.star Atomic properties parameter file (default atom_prop.star)",
" ",
NULL
}

Definition at line 21 of file bcrystal.cpp.

## ◆ verbose

int verbose